<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) DIGITEO - 2010 - Allan CORNET
 * 
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="MKL_Dom_Set_Num_Threads"
          xml:lang="en" xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-03-26 09:50:39 +0100 (mer., 26 mars 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>MKL_Dom_Set_Num_Threads</refname>

    <refpurpose>Suggests the number of threads for a particular function
    domain.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>b = MKL_Dom_Set_Num_Threads(num, mask)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>mask</term>

        <listitem>
          <para>0 : MKL_ALL - another way to do what MKL_Get_Max_Threads
          does.</para>

          <para>1 : MKL_BLAS - BLAS domain</para>

          <para>2 : MKL_FFT - FFT domain (excluding cluster FFT)</para>

          <para>3 : MKL_VML - vector math library</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>num</term>

        <listitem>
          <para>Number of threads suggested by user</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>b</term>

        <listitem>
          <para>%t or %f Indicates failure, possibly because the inputs were
          invalid.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Suggests the number of threads for a particular function
    domain.</para>

    <para>This function allows you to request different domains of Intel MKL
    to use different numbers of threads.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">num = 2;
mask = 1; // MKL_BLAS
MKL_Dom_Set_Num_Threads(num, mask)</programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Allan CORNET</member>

      <member>Intel MKL documentation</member>
    </simplelist>
  </refsection>
</refentry>
